//
// php-armadillo/non_resizable_matrix.hh
//
// @Author CismonX
//

#ifndef PHP_ARMA_NON_RESIZABLE_MATRIX_HH
#define PHP_ARMA_NON_RESIZABLE_MATRIX_HH

#include "php_arma.hh"

namespace php_arma
{
    template <typename T, typename ChildT>
    struct non_resizable_matrix
    {
        using native_t = typename ChildT::native_t;

        PHP_ARMA_COMMON_DECLARE();

    private:
        static PHP_FUNCTION(eye);
    };

    void non_resizable_matrix_init();

    constexpr const char non_resizable_matrix_php_name[] = "NonResizableMatrix";

    inline zend_class_entry *non_resizable_matrix_ce;
}

#endif // !PHP_ARMA_NON_RESIZABLE_MATRIX_HH
