//
// php-armadillo/subview.hh
//
// @Author CismonX
//

#ifndef PHP_ARMA_SUBVIEW_HH
#define PHP_ARMA_SUBVIEW_HH

#include "php_arma.hh"

namespace php_arma
{
    template <typename T, typename ChildT>
    struct subview
    {
        using native_t = typename ChildT::native_t;

        PHP_ARMA_COMMON_DECLARE();

    private:
        static PHP_FUNCTION(getParent);
    };

    void subview_init();

    constexpr const char subview_php_name[] = "Subview";

    inline zend_class_entry *subview_ce;
}

#endif // !PHP_ARMA_SUBVIEW_HH
