--TEST--
Test for `Internal\Scalar`.
--SKIPIF--
<?php
require_once 'includes/loaded.php';
require_once 'includes/supports.php';
if (is_php_arma_loaded()) {
    supports_operator_overloading();
}
?>
--FILE--
<?php

require_once 'includes/assert.php';

$mat = Arma\IMat::fromString('1 2; 3 4');

batch_assert('operator overloading of `MapVal`',
    [3,  +$mat->at(1, 0)],
    [-2, -$mat(0, 1)]
);

?>
--EXPECT--
