//
// php-armadillo/non_resizable.hh
//
// @Author CismonX
//

#ifndef PHP_ARMA_NON_RESIZABLE_HH
#define PHP_ARMA_NON_RESIZABLE_HH

#include "php_arma.hh"

namespace php_arma
{
    template <typename T, typename ChildT>
    struct non_resizable
    {
        using native_t = typename ChildT::native_t;

        PHP_ARMA_COMMON_DECLARE();

    private:
        static PHP_FUNCTION(zeros);
    };

    void non_resizable_init();

    constexpr const char non_resizable_php_name[] = "NonResizable";

    inline zend_class_entry *non_resizable_ce;
}

#endif // !PHP_ARMA_NON_RESIZABLE_HH
