<?php

namespace Arma;

/**
 * Support status of option features.
 *
 * Values of constants in this class is dependent.
 *
 * @package Arma
 */
abstract class Features
{
    /**
     * Whether operator overloading is supported.
     */
    const OPERATORS = true;

    /**
     * Whether data can be saved into or loaded from files in HDF5 format.
     */
    const HDF5 = true;

    /**
     * Whether this extension supports PHP stream resource I/O.
     */
    const STREAM_RES = true;
}
