--TEST--
Test for method `copySize()`.
--SKIPIF--
<?php
require_once 'includes/loaded.php';
is_php_arma_loaded();
?>
--FILE--
<?php

require_once 'includes/assert.php';

$imat = Arma\IMat::init(3, 3);
$dmat = Arma\DMat::init(2, 5);
$dmat->copySize($dmat->submat(0, 1, 1, 3));
$imat->copySize($imat->diag());
batch_assert('method `copySize()`',
    [$dmat->nRows(), 2],
    [$dmat->nCols(), 3],
    [$imat->nRows(), 3],
    [$imat->nCols(), 1]
);

?>
--EXPECT--
